package ir.android_studio.startservice;

import androidx.appcompat.app.AppCompatActivity;
import androidx.core.content.ContextCompat;

import android.content.Intent;
import android.os.Build;
import android.os.Bundle;
import android.view.View;
import android.widget.Button;

public class MainActivity extends AppCompatActivity {

    private Button startButton, stopButton, activityBtn;
    private Intent servIntent;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        startButton = findViewById(R.id.start_btn);
        stopButton = findViewById(R.id.stop_btn);
        activityBtn = findViewById(R.id.two_btn);

        servIntent = new Intent(this, MyService.class);

        startButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                /* if (Build.VERSION.SDK_INT >= Build.VERSION_CODES.O) {

                    startForegroundService(servIntent);

                } else {

                    startService(servIntent);
                } */

                ContextCompat.startForegroundService(MainActivity.this, servIntent);

            }
        });

        stopButton.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                stopService(servIntent);

            }
        });

        activityBtn.setOnClickListener(new View.OnClickListener() {
            @Override
            public void onClick(View view) {

                startActivity(new Intent(MainActivity.this, ActivityTwo.class));

            }
        });

    }

}